Package ru.bitel.bgbilling.modules.yoomoney.server.bean

# Class YoomoneyRequest

java.lang.Object
ru.bitel.bgbilling.modules.yoomoney.server.bean.YoomoneyRequest

    public class YoomoneyRequest
    extends java.lang.Object

Реквест в экзекутер от платежного шлюза. И для экшена "проверка заказа" и для "уведомление об оплате". Разбираются вначале все значения сюда, потом обрабатываются.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `YoomoneyRequest()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.lang.String` | `getCustomerNumber()` |
  `long` | `getInvoiceId()` |
  `java.lang.String` | `getMd5()` |
  `java.util.Date` | `getOrderCreatedDatetime()` |
  `java.math.BigDecimal` | `getOrderSumAmount()` |
  `CurrencyBank` | `getOrderSumBankPaycash()` |
  `CurrencyCode` | `getOrderSumCurrencyPaycash()` |
  `java.util.Date` | `getPaymentDateTime()` |
  `java.lang.String` | `getPaymentPayerCode()` |
  `java.lang.String` | `getPaymentType()` |
  `java.lang.String` | `getPgpSignature()` |
  `java.lang.String` | `getRawRequest()` |
  `java.util.Date` | `getRequestDatetime()` |
  `long` | `getShopId()` |
  `java.math.BigDecimal` | `getShopSumAmount()` |
  `CurrencyBank` | `getShopSumBankPaycash()` |
  `CurrencyCode` | `getShopSumCurrencyPaycash()` |
  `boolean` | `isOrderIsPaid()` |
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setCustomerNumber​(java.lang.String customerNumber)` |
  `void` | `setInvoiceId​(long invoiceId)` |
  `void` | `setMd5​(java.lang.String md5)` |
  `void` | `setOrderCreatedDatetime​(java.util.Date orderCreatedDatetime)` |
  `void` | `setOrderIsPaid​(boolean orderIsPaid)` |
  `void` | `setOrderSumAmount​(java.math.BigDecimal orderSumAmount)` |
  `void` | `setOrderSumBankPaycash​(CurrencyBank orderSumBankPaycash)` |
  `void` | `setOrderSumCurrencyPaycash​(CurrencyCode orderSumCurrencyPaycash)` |
  `void` | `setPaymentDateTime​(java.util.Date paymentDateTime)` |
  `void` | `setPaymentPayerCode​(java.lang.String paymentPayerCode)` |
  `void` | `setPaymentType​(java.lang.String paymentType)` |
  `void` | `setPgpSignature​(java.lang.String pgpSignature)` |
  `void` | `setRawRequest​(java.lang.String rawRequest)` |
  `void` | `setRequestDatetime​(java.util.Date requestDatetime)` |
  `void` | `setShopId​(long shopId)` |
  `void` | `setShopSumAmount​(java.math.BigDecimal shopSumAmount)` |
  `void` | `setShopSumBankPaycash​(CurrencyBank shopSumBankPaycash)` |
  `void` | `setShopSumCurrencyPaycash​(CurrencyCode shopSumCurrencyPaycash)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### YoomoneyRequest

    public YoomoneyRequest()

- ## Method Details

  - ### getRequestDatetime

    public java.util.Date getRequestDatetime()

  - ### setRequestDatetime

    public void setRequestDatetime​(java.util.Date requestDatetime)

  - ### getAction

    public java.lang.String getAction()

  - ### setAction

    public void setAction​(java.lang.String action)

  - ### getPgpSignature

    public java.lang.String getPgpSignature()

  - ### setPgpSignature

    public void setPgpSignature​(java.lang.String pgpSignature)

  - ### getMd5

    public java.lang.String getMd5()

  - ### setMd5

    public void setMd5​(java.lang.String md5)

  - ### getShopId

    public long getShopId()

  - ### setShopId

    public void setShopId​(long shopId)

  - ### getInvoiceId

    public long getInvoiceId()

  - ### setInvoiceId

    public void setInvoiceId​(long invoiceId)

  - ### getCustomerNumber

    public java.lang.String getCustomerNumber()

  - ### setCustomerNumber

    public void setCustomerNumber​(java.lang.String customerNumber)

  - ### getOrderCreatedDatetime

    public java.util.Date getOrderCreatedDatetime()

  - ### setOrderCreatedDatetime

    public void setOrderCreatedDatetime​(java.util.Date orderCreatedDatetime)

  - ### getOrderSumAmount

    public java.math.BigDecimal getOrderSumAmount()

  - ### setOrderSumAmount

    public void setOrderSumAmount​(java.math.BigDecimal orderSumAmount)

  - ### getOrderSumCurrencyPaycash

    public CurrencyCode getOrderSumCurrencyPaycash()

  - ### setOrderSumCurrencyPaycash

    public void setOrderSumCurrencyPaycash​(CurrencyCode orderSumCurrencyPaycash)

  - ### getOrderSumBankPaycash

    public CurrencyBank getOrderSumBankPaycash()

  - ### setOrderSumBankPaycash

    public void setOrderSumBankPaycash​(CurrencyBank orderSumBankPaycash)

  - ### getShopSumAmount

    public java.math.BigDecimal getShopSumAmount()

  - ### setShopSumAmount

    public void setShopSumAmount​(java.math.BigDecimal shopSumAmount)

  - ### getShopSumCurrencyPaycash

    public CurrencyCode getShopSumCurrencyPaycash()

  - ### setShopSumCurrencyPaycash

    public void setShopSumCurrencyPaycash​(CurrencyCode shopSumCurrencyPaycash)

  - ### getShopSumBankPaycash

    public CurrencyBank getShopSumBankPaycash()

  - ### setShopSumBankPaycash

    public void setShopSumBankPaycash​(CurrencyBank shopSumBankPaycash)

  - ### getPaymentType

    public java.lang.String getPaymentType()

  - ### setPaymentType

    public void setPaymentType​(java.lang.String paymentType)

  - ### getPaymentPayerCode

    public java.lang.String getPaymentPayerCode()

  - ### setPaymentPayerCode

    public void setPaymentPayerCode​(java.lang.String paymentPayerCode)

  - ### isOrderIsPaid

    public boolean isOrderIsPaid()

  - ### setOrderIsPaid

    public void setOrderIsPaid​(boolean orderIsPaid)

  - ### getPaymentDateTime

    public java.util.Date getPaymentDateTime()

  - ### setPaymentDateTime

    public void setPaymentDateTime​(java.util.Date paymentDateTime)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getRawRequest

    public java.lang.String getRawRequest()

  - ### setRawRequest

    public void setRawRequest​(java.lang.String rawRequest)